## TODO ##
# David - 3.0-0.beta1.7mdk - Build and test on 8.1


# Laurent - 3.0-0.beta1-6mdk - Temporary macros. To remove when KDE 3 will be
#                              installed in /usr/
%define _prefix         /opt/kde3/
%define _exec-prefix    /opt/kde3/
%define _bindir         /opt/kde3/bin/
%define _sbindir        /opt/kde3/sbin/
%define _sysconfdir     /opt/kde3/etc/
%define _datadir        /opt/kde3/share/
%define _includedir     /opt/kde3/include/
%define _libdir         /opt/kde3/lib/
%define _libexecdir     /opt/kde3/lib/
%define _localstatedir  /opt/kde3/var/lib/
%define _sharedstatedir /opt/kde3/com/
%define _mandir         /opt/kde3/share/man/
%define _infodir        /opt/kde3/share/info/
%define _docdir         /opt/kde3/share/doc/


# David - 3.0-0.beta1-7mdk - Reminder: 8.0 is for IA32 and PPC
#                                      8.1 is for IA32 and IA64
#                                      8.2 is for IA32, IA64 and PPC


# David - 3.0-0.beta1-7mdk - Define macro used to control build options for
#                             each supported Mandrake Linux distributions
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_3 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.3 ]; then echo 1; else echo 0; fi)}


# David - 3.0-0.beta1-7mdk - Define if we build a stable release or not
#                            0 = stable - For final releases
#                            1 = unstable - For beta releases or for Cooker
%if %buildfor8_3
%define unstable 1
%else
%define unstable 0
%endif

Name:		kdelibs3
Summary:	K Desktop Environment - Libraries
Version:	3.0.2
Release:	2mdk
Epoch:		1
Group:		Graphical desktop/KDE
License:	ARTISTIC BSD GPL_V2 LGPL_V2 QPL_V1.0
URL:		http://www.kde.org/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
BuildRoot:	%_tmppath/%name-%version-%release-root
PreReq:		libarts3 >= 1.0.0


Source:		kdelibs-%{version}.tar.bz2
Source1:	kdelibs-3.O-mdk-hicolor-index.desktop

# David - 3.0-0.beta1-7mdk - Remove all debug output (at least, all that it's
#                      possible) 
Source2:	kdelibs-3.0-config-kdebugrc

# David - 3.0-0.beta1-7mdk - Perl script used to generate Mandrake menus
#                            Source3 is for Linux-Mandrake 7.2 and 8.0
#                            Source4 is for Mandrake Linux 8.1 and 8.2
Source3:	kdelibs-3.0-kdedesktop2mdkmenu.pl-mdk-8.0
Source4:	kdelibs-3.0-kdedesktop2mdkmenu.pl



# David - 3.0-0.beta1-7mdk - From David FAURE - Display icons when Mandrake menu
#                            structure is used
Patch1:		kdelibs-3.0-iconssearch.patch.bz2

# David - 3.0-0.beta1-7mdk - Patch2: this one is for Mandrake Linux 8.0 (this
#                                    version doesn't support Simplified menu
#                                    structure)
#                            Patch3: this one is for Mandrake Linux 8.1 and
#                                    8.2 (it adds support for Simplified menu structure)
Patch2:		kdelibs-3.0-kstddirs_kmenuedit_or_kmenudrak-mdk-8.0.patch.bz2
Patch3:		kdelibs-3.0-kstddirs_kmenuedit_or_kmenudrake.patch.bz2

# David - 3.0-0.beta1-7mdk - Enable Cookies by default
Patch4:		kdelibs-3.0-kio-kcookiejar.patch.bz2



# Laurent - 3.0-5mdk reactivate file sharing.
Patch7:		kdelibs-3.0-filesharing.patch.bz2

#tch8:		post-3.0.1-kdelibs.diff.bz2

# Laurent 12mdk add fix for MDK MNF patch from David Faure
Patch10:    css_stylesheet_selection.diff.bz2

%if %unstable
PreReq:		gdb
%endif

# to remove
Obsoletes:	kdelibs3.0


%if %buildfor8_0
BuildRequires:	libcups1 >= 1.1.9, libqt3-devel >= 3.0.1 libxslt1-devel libxml2 >= 2.4.8
%endif

%if %buildfor8_1
BuildRequires: libqt3-devel >= 3.0.3 libxslt1-devel libxml2 >= 2.4.11 libxslt1
BuildRequires: libopenssl0-devel libcups1-devel >= 1.1.14
BuildRequires: libpcre0-devel
%endif

%if %buildfor8_2
BuildRequires: libqt3-devel >= 3.0.3 libxslt1-devel libxml2 >= 2.4.11 libxslt1
BuildRequires: libopenssl0-devel libcups1-devel >= 1.1.14
BuildRequires: libpcre0-devel
%endif

%if %buildfor8_3
BuildRequires: libqt3-devel >= 3.0.3 libxslt1-devel libxml2 >= 2.4.11 libxslt1
BuildRequires: libopenssl0-devel libcups1-devel >= 1.1.14
BuildRequires: libpcre0-devel libfam0-devel
%endif

%description
Libraries for the K Desktop Environment.


%package devel
Group:		Development/KDE and QT
Summary:	Header files and documentation for compiling KDE applications.
PreReq:		%name = %version-%release, libqt3-devel

%description devel
This package includes the header files you will need to compile applications 
for KDE. Also included is the KDE API documentation in HTML format for easy 
browsing.




%prep

%setup -q -n kdelibs-%{version}
%patch1 -p1 -b .mdkicon
%if %buildfor8_0
%patch2 -p1
%endif
%if !%buildfor8_0
%patch3 -p1
%endif
%patch4 -p1

%if %buildfor8_2 || %buildfor8_3
%patch7 -p1
%endif

#%patch8 -p1
#%patch10 -p1

%build
make -f Makefile.cvs
QTDIR=%_libdir/qt3
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
        ./configure --prefix=%_prefix \
                    --build=%_target_platform \
                    --host=%_target_platform \
%if %unstable					
                    --enable-debug=full \
%else
					--disable-debug \
%endif
%ifarch %ix86 
		            --enable-fast-malloc=full \
%endif					
                    --enable-final \
                    --enable-shared \
                    --disable-static \
                    --enable-fast-install=yes \
                    --disable-embedded \
                    --disable-palmtop \
                    --disable-rpath \
                    --enable-mitshm \
                    --disable-arts-gsl \
                    --enable-cups \
                    --enable-libfam \
                    --enable-pcre \
                    --with-gnu-ld \
                    --with-pic \
                    --with-xinerama \
                    --with-distribution="Mandrake Linux Cooker %_target_cpu - Cooker" \
                    --with-alsa \
                    --with-ipv6-lookup=auto


%make



%install
rm -fr %buildroot

# David - 3.0-0.beta1-7mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

# David - 3.0-0.beta1-7mdk - Don't use makeinstall macro. It seems that it
#                            works fine but in fact, it's not the case.
make DESTDIR=%buildroot install

install -d -m 0755 %buildroot/%_iconsdir/mdk-hicolor/
install -m 0644 %SOURCE1 %buildroot/%_iconsdir/mdk-hicolor/index.desktop
(
cd %buildroot/%_iconsdir/mdk-hicolor/
# David - 3.0-0.beta1.7mdk - We can't use relative links as long as we install
#                            KDE 3 in /usr/. To fix when it will the case
ln -s /usr/share/icons/mini ./mini
ln -s /usr/share/icons/large ./large
ln -s /usr/share/icons ./normal
)

# David - 3.0-0.beta1-7mdk - Remove debug output
%if !%unstable
install -d -m 0755 %buildroot%_datadir/config/
install -m 0644 %SOURCE2 %buildroot/%_datadir/config/kdebugrc
%endif

# David - 3.0-0.beta1-7mdk - Script used to convert KDE .desktop to Mandrake's
#                            menu configartion files
%if %buildfor8_0
install -m 0755 %SOURCE3 %buildroot/%_bindir/kdedesktop2mdkmenu.pl
%else
install -m 0755 %SOURCE4 %buildroot/%_bindir/kdedesktop2mdkmenu.pl
%endif



%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig





%clean
rm -fr %buildroot


%files
%defattr(-,root,root,-)
#
#
#
# David - 3.0-0.beta1.7mdk - Owned these directories is needed as long as we
#                            install KDE 3 in /opt/kde3/. We need to don't them
#                            when we will install it in /usr/
%dir %_bindir
%dir %_iconsdir
#
#
#
%dir %_datadir/config/
%config(noreplace) %_datadir/config/kdebug.areas
%config(noreplace) %_datadir/config/kdebugrc
%config(noreplace) %_datadir/config/ksslcalist
%config(noreplace) %_datadir/config/language.codes
%config(noreplace) %_datadir/config/kthemestylerc
#
%dir %_datadir/config/colors/
%config(noreplace) "%_datadir/config/colors/40 Colors"
%config(noreplace) %_datadir/config/colors/Royal
%config(noreplace) %_datadir/config/colors/Web
#
%dir %_datadir/config/ui/
%config(noreplace) %_datadir/config/ui/ui_standards.rc
%config(noreplace) %_datadir/config/ui/kprintpreviewui.rc
%config(noreplace) %_datadir/config/kdeprintrc
#
#
%dir %_datadir/apps/LICENSES/
%doc %_datadir/apps/LICENSES/ARTISTIC
%doc %_datadir/apps/LICENSES/BSD
%doc %_datadir/apps/LICENSES/GPL_V2
%doc %_datadir/apps/LICENSES/LGPL_V2
%doc %_datadir/apps/LICENSES/QPL_V1.0
#
%dir %_datadir/apps/kdewidgets/
%dir %_datadir/apps/kdewidgets/pics/
%_datadir/apps/kdewidgets/pics/*.png
#
%dir %_docdir/HTML/
#
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/common/
%doc %_docdir/HTML/en/common/*.css
%doc %_docdir/HTML/en/common/*.dcl
%doc %_docdir/HTML/en/common/*.html
%doc %_docdir/HTML/en/common/*.png
%doc %_docdir/HTML/en/common/*.template
%doc %_docdir/HTML/en/common/*-license
#
#
#
%_bindir/artsmessage
%_bindir/checkXML
%_bindir/cupsdconf
%_bindir/cupsdoprint
%_bindir/dcop
%_bindir/dcopidl
%_bindir/dcopidl2cpp
%_bindir/dcopserver
%_bindir/imagetops
%_bindir/kbuildsycoca
%_bindir/kconf_update
%_bindir/kcookiejar
%_bindir/kdb2html
%_bindir/kde-config
%_bindir/kded
%_bindir/kdedesktop2mdkmenu.pl
%_bindir/kdeinit
%_bindir/kdeinit_shutdown
%_bindir/kdeinit_wrapper
%_bindir/kdesu_stub
%_bindir/kio_http_cache_cleaner
%_bindir/kio_uiserver
%_bindir/klauncher
%_bindir/kmailservice
%_bindir/knotify
%_bindir/kpac_dhcp_helper
%_bindir/ksendbugmail
%_bindir/kshell
%_bindir/kwrapper
%_bindir/lnusertemp
%_bindir/make_driver_db_cups
%_bindir/meinproc
%_bindir/preparetips
%_bindir/xml2man
%_bindir/xmlizer
%_bindir/kdontchangethehostname
#
%_bindir/dcopclient
%_bindir/dcopfind
%_bindir/dcopobject
%_bindir/dcopref
%_bindir/dcopserver_shutdown
%_bindir/dcopstart
%_bindir/kab2kabc
%_bindir/kaddprinterwizard
%_bindir/ktelnetservice
%_bindir/make_driver_db_lpr
%_bindir/kimage_concat
%_bindir/kinstalltheme
%_bindir/kioslave
#
%_libdir/dcopserver.la
%_libdir/kaddprinterwizard.la
%_libdir/kbuildsycoca.la
%_libdir/kconf_update.la
%_libdir/kcookiejar.la
%_libdir/kded.la
%_libdir/kio_http_cache_cleaner.la
%_libdir/kio_uiserver.la
%_libdir/klauncher.la
%_libdir/knotify.la
%_libdir/libDCOP.la
%_libdir/libcupsdconf.la
%_libdir/libkdecore.la
%_libdir/libkdefakes.la
%_libdir/libkdefx.la
%_libdir/libkdeprint.la
%_libdir/libkdeprint_management.la
%_libdir/libkdesu.la
%_libdir/libkdeui.la
%_libdir/libkhtml.la
#%_libdir/libkhtmlimage.la
%_libdir/libkio.la
%_libdir/libkjava.la
%_libdir/libkjs.la
%_libdir/libkmid.la
%_libdir/libkparts.la
%_libdir/libkscreensaver.la
%_libdir/libkspell.la
%_libdir/libktexteditor.la
%_libdir/libkcertpart.la
%_libdir/libkdesasl.la
%_libdir/libkscript.la
%_libdir/libshellscript.la
%_libdir/libvcard.la
%_libdir/libkatepartinterfaces.la
%_libdir/libkatepart.la
%_libdir/libkabc.la
%_libdir/libartskde.la
#
%_libdir/dcopserver.so
%_libdir/kaddprinterwizard.so
%_libdir/kbuildsycoca.so
%_libdir/kconf_update.so
%_libdir/kcookiejar.so
%_libdir/kded.so
%_libdir/kio_http_cache_cleaner.so
%_libdir/kio_uiserver.so
%_libdir/klauncher.so
%_libdir/knotify.so
%_libdir/libartskde.so*
%_libdir/libcupsdconf.so
%_libdir/libDCOP.so*
%_libdir/libkdecore.so*
%_libdir/libkdefakes.so*
%_libdir/libkdefx.so*
%_libdir/libkdeprint.so*
%_libdir/libkdeprint_management.so*
%_libdir/libkdesu.so*
%_libdir/libkdeui.so*
%_libdir/libkhtml.so*
#%_libdir/libkhtmlimage.so*
%_libdir/libkio.so*
%_libdir/libkjava.so*
%_libdir/libkjs.so*
%_libdir/libkmid.so*
%_libdir/libkparts.so*
%_libdir/libkscreensaver.so*
%_libdir/libkspell.so*
%_libdir/libktexteditor.so*
%_libdir/libkcertpart.so*
%_libdir/libkdesasl.so*
%_libdir/libkscript.so*
%_libdir/libshellscript.so*
%_libdir/libvcard.so*
%_libdir/libkatepartinterfaces.so*
%_libdir/libkatepart.so*
%_libdir/libkabc.so*
#
%_libdir/kde3/*.la
%_libdir/kde3/*.so
#
%dir %_libdir/kde3/plugins/
%dir %_libdir/kde3/plugins/designer/
%_libdir/kde3/plugins/designer/*.so
%_libdir/kde3/plugins/designer/*.la
#
%dir %_libdir/kde3/plugins/styles/
%_libdir/kde3/plugins/styles/*.la
%_libdir/kde3/plugins/styles/*.so
#
#
#
#
%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/*.pl
%_datadir/apps/kconf_update/*.upd
#
%dir %_datadir/apps/kdeprint/
%_datadir/apps/kdeprint/*.desktop
%_datadir/apps/kdeprint/*.png
%_datadir/apps/kdeprint/*.ps
%_datadir/apps/kdeprint/*.template
%_datadir/apps/kdeprint/apsdr*
%_datadir/apps/kdeprint/lprngtooldriver1
#
%dir %_datadir/apps/kdeprint/filters/
%_datadir/apps/kdeprint/filters/*.xml
%_datadir/apps/kdeprint/filters/*.desktop
#
%dir %_datadir/apps/kdeprint/icons/
%dir %_datadir/apps/kdeprint/icons/hicolor/
%dir %_datadir/apps/kdeprint/icons/hicolor/16x16/
%dir %_datadir/apps/kdeprint/icons/hicolor/16x16/apps/
%_datadir/apps/kdeprint/icons/hicolor/16x16/apps/*.png
#
%dir %_datadir/apps/kdeprint/icons/hicolor/16x16/actions/
%_datadir/apps/kdeprint/icons/hicolor/16x16/actions/*.png
#
%dir %_datadir/apps/kdeprint/icons/hicolor/22x22/
%dir %_datadir/apps/kdeprint/icons/hicolor/22x22/actions/
%_datadir/apps/kdeprint/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/kdeprint/icons/hicolor/32x32/
%dir %_datadir/apps/kdeprint/icons/hicolor/32x32/apps/
%_datadir/apps/kdeprint/icons/hicolor/32x32/apps/*.png

%dir %_datadir/apps/kdeprint/icons/hicolor/32x32/actions/
%_datadir/apps/kdeprint/icons/hicolor/32x32/actions/*.png

#
%dir %_datadir/apps/kdeprint/pics/
%_datadir/apps/kdeprint/pics/*.png
#
%dir %_datadir/apps/kdeprint/plugins/
%_datadir/apps/kdeprint/plugins/*.print
#
%dir %_datadir/apps/kdeui/
%dir %_datadir/apps/kdeui/pics/
%_datadir/apps/kdeui/pics/*.png
#
%dir %_datadir/apps/khtml/
%_datadir/apps/khtml/*.rc
#
%dir %_datadir/apps/khtml/css/
%_datadir/apps/khtml/css/*.css
#
%dir %_datadir/apps/khtml/icons/
%dir %_datadir/apps/khtml/icons/hicolor/
%dir %_datadir/apps/khtml/icons/hicolor/16x16/
%dir %_datadir/apps/khtml/icons/hicolor/16x16/actions/
%_datadir/apps/khtml/icons/hicolor/16x16/actions/*.png

%dir %_datadir/apps/khtml/icons/hicolor/22x22/
%dir %_datadir/apps/khtml/icons/hicolor/22x22/actions/
%_datadir/apps/khtml/icons/hicolor/22x22/actions/*.png
#
%dir %_datadir/apps/khtml/icons/hicolor/32x32/
%dir %_datadir/apps/khtml/icons/hicolor/32x32/actions/
%_datadir/apps/khtml/icons/hicolor/32x32/actions/*.png
#
%dir %_datadir/apps/kio_uiserver/
%dir %_datadir/apps/kio_uiserver/icons/
%dir %_datadir/apps/kio_uiserver/icons/hicolor/
%dir %_datadir/apps/kio_uiserver/icons/hicolor/16x16/
%dir %_datadir/apps/kio_uiserver/icons/hicolor/16x16/apps/
%_datadir/apps/kio_uiserver/icons/hicolor/16x16/apps/*.png
#
%dir %_datadir/apps/kjava/
%_datadir/apps/kjava/*.jar
%_datadir/apps/kjava/*.policy
#
%dir %_datadir/apps/knotify/
%_datadir/apps/knotify/eventsrc
#
# David - 2.2-0.beta1.1mdk - To develop later
%dir %_datadir/apps/ksgmltools2/
%_datadir/apps/ksgmltools2/*
#
%dir %_datadir/apps/kssl/
%_datadir/apps/kssl/ca-bundle.crt
#
%dir %_datadir/apps/kstyle/
%dir %_datadir/apps/kstyle/themes/
%_datadir/apps/kstyle/themes/*.themerc
#
%dir %_datadir/apps/kcertpart/
%_datadir/apps/kcertpart/*.rc
#
%dir %_datadir/apps/kate/
%_datadir/apps/kate/*.rc
%dir %_datadir/apps/kate/syntax/
%_datadir/apps/kate/syntax/*.xml
%_datadir/apps/kate/syntax/*.template
%_datadir/apps/kate/syntax/*.dtd
#

%dir %_datadir/apps/kstyle/pixmaps/
%_datadir/apps/kstyle/pixmaps/*.png

%dir %_datadir/apps/kstyle/pixmaps/riscos/
%_datadir/apps/kstyle/pixmaps/riscos/*.png
#
%dir %_datadir/autostart/
%_datadir/autostart/*.desktop
#
%dir %_iconsdir/hicolor/
%_iconsdir/hicolor/index.desktop
#
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/actions/
%_iconsdir/hicolor/16x16/actions/*.png
#
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/16x16/devices/
%_iconsdir/hicolor/16x16/devices/*.png
#
%dir %_iconsdir/hicolor/16x16/filesystems/
%_iconsdir/hicolor/16x16/filesystems/*.png
%_iconsdir/hicolor/16x16/filesystems/*.mng
#
%dir %_iconsdir/hicolor/16x16/mimetypes/
%_iconsdir/hicolor/16x16/mimetypes/*.png
%_iconsdir/hicolor/16x16/mimetypes/*.mng
#
%dir %_iconsdir/hicolor/22x22/
%dir %_iconsdir/hicolor/22x22/actions/
%_iconsdir/hicolor/22x22/actions/*.png
#
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/actions/
%_iconsdir/hicolor/32x32/actions/*.png
#
#
%dir %_iconsdir/hicolor/32x32/devices/
%_iconsdir/hicolor/32x32/devices/*.png
#
%dir %_iconsdir/hicolor/32x32/filesystems/
%_iconsdir/hicolor/32x32/filesystems/*.png
%_iconsdir/hicolor/32x32/filesystems/*.mng
#
%dir %_iconsdir/hicolor/32x32/mimetypes/
%_iconsdir/hicolor/32x32/mimetypes/*.png
%_iconsdir/hicolor/32x32/mimetypes/*.mng
#
%dir %_iconsdir/hicolor/48x48/
%dir %_iconsdir/hicolor/48x48/actions/
%_iconsdir/hicolor/48x48/actions/*.png
#
%dir %_iconsdir/hicolor/48x48/devices/
%_iconsdir/hicolor/48x48/devices/*.png
#
%dir %_iconsdir/hicolor/48x48/filesystems/
%_iconsdir/hicolor/48x48/filesystems/*.png
%_iconsdir/hicolor/48x48/filesystems/*.mng
#
%dir %_iconsdir/hicolor/48x48/mimetypes/
%_iconsdir/hicolor/48x48/mimetypes/*.png
%_iconsdir/hicolor/48x48/mimetypes/*.mng
#
%dir %_iconsdir/hicolor/64x64
%dir %_iconsdir/hicolor/64x64/filesystems/
%_iconsdir/hicolor/64x64/filesystems/*.png
#
%dir %_iconsdir/hicolor/64x64/mimetypes/
%_iconsdir/hicolor/64x64/mimetypes/*.png
#
#
%dir %_iconsdir/mdk-hicolor/
%_iconsdir/mdk-hicolor/*
#
#
%dir %_datadir/mimelnk/
%_datadir/mimelnk/magic
#
%dir %_datadir/mimelnk/all/
%_datadir/mimelnk/all/*.desktop
#
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/*.desktop
#
%dir %_datadir/mimelnk/audio/
%_datadir/mimelnk/audio/*.desktop
#
%dir %_datadir/mimelnk/image/
%_datadir/mimelnk/image/*.desktop
#
%dir %_datadir/mimelnk/inode/
%_datadir/mimelnk/inode/*.desktop
#
%dir %_datadir/mimelnk/message/
%_datadir/mimelnk/message/*.desktop
#
%dir %_datadir/mimelnk/text/
%_datadir/mimelnk/text/*.desktop
#
%dir %_datadir/mimelnk/video/
%_datadir/mimelnk/video/*.desktop
#
%dir %_datadir/mimelnk/multipart/
%_datadir/mimelnk/multipart/*.desktop
#
%dir %_datadir/services/
%_datadir/services/*.desktop
%_datadir/services/*.kimgio
%_datadir/services/*.protocol
#
%dir %_datadir/services/kded/
%_datadir/services/kded/*.desktop
#
#
%dir %_datadir/servicetypes/
%_datadir/servicetypes/*.desktop



%files devel
%defattr(-,root,root,-)
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/kspell/
%doc %_docdir/HTML/en/kspell/*
#
#
#
%_includedir/*.h
%_includedir/*.pot
%_includedir/*.tcc
#
%dir %_includedir/dom/
%_includedir/dom/*.h
#
%dir %_includedir/kdeprint/
%_includedir/kdeprint/*.h
#
%dir %_includedir/kdesu/
%_includedir/kdesu/*.h
#
%dir %_includedir/kio/
%_includedir/kio/*.h
#
%dir %_includedir/kjs/
%_includedir/kjs/*.h
#
%dir %_includedir/kparts/
%_includedir/kparts/*.h
#
%dir %_includedir/libkmid/
%_includedir/libkmid/*.h
#
%dir %_includedir/ktexteditor/
%_includedir/ktexteditor/*.h
#
%dir %_includedir/kabc/
%_includedir/kabc/*.h

%dir %_includedir/kate/
%_includedir/kate/*.h

%dir %_includedir/arts/
%_includedir/arts/*.h





%changelog
* Wed Jun 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Update tarball

* Tue Jun 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- kde3.0.2

* Fri Jun 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- add patch10 fix MNF + konqueror patch from David Faure.

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- Add patch9 fix khtml bugs

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kd3.0.1

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-11mdk
- Rebuild against gcc-3.1

* Fri May 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-10mdk
- Update from kde_3_0_BRANCH

* Sat Apr 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-9mdk
- Rebuild against libalsa2

* Wed Apr 17 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-8mdk
- Remove 'fomit-frame-pointer'

* Mon Apr 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-7mdk
- Update code from kde_3_0_BRANCH

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Reactivate fam for 8.3
- Don't apply "sharing directory" patch for 8.0 or 8.1

* Sat Apr 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Reactivate file sharing patch
- enable "enable-fast-malloc=full" just for ix86 it doesn't work for other arch


* Fri Apr 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Add --enable-fast-malloc=full option in configure (increase startup speed)

* Sun Apr 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Remove duplicate line

* Wed Apr 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Reactivate patch4
- Remove patch5

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- KDE3.0


* Mon Mar 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.3mdk
- Fix buildrequires for 8.1/8.2

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.2mdk
- Fix spec file

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Thu Mar 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sun Mar 03 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.5mdk
- update with CVS branch

* Sat Mar 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.4mdk
- Rebuild with new qt3

* Fri Feb 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.3mdk
- Fix spec

* Tue Feb 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.2mdk
- update beta2

* Fri Jan 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sat Jan 12 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.8mdk
- Fix build on 8.1

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.7mdk
- Allow KDE 2 and KDE 3 to be installed in same time (lot of modifications,
  see CVS for details)
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Fix previous changelog
- Remove 7.2 support (too old to be easily supported)

* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.6mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sun Dec 09 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-6mdk
- Reapply some patch

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- kde 3.0 beta1

* Sat Dec 01 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Clean spec file 

* Wed Nov 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix 

* Wed Nov 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Some fix

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
